module EdgycircleToolbox
  module Sonapi
    class ErrorResource
      def self.serialize(errors)
        {
          "errors" => errors.map do |error|
            hash = {
              "title" => error.title,
              "detail" => error.detail
            }

            if error.pointer
              hash["source"] = { "pointer" => error.pointer }
            end

            hash
          end
        }
      end
    end
  end
end
