module EdgycircleToolbox
  module Sonapi
    class ValidationError
      include SerializableError

      attr_reader :detail, :attribute

      def initialize(attribute, detail)
        @attribute = attribute
        @detail = detail
      end

      def pointer
        "data/attributes/#{attribute.to_s.gsub("_", "-")}"
      end

      def title
        "Validation Error"
      end
    end
  end
end
