require 'dry-container'

module EdgycircleToolbox
  module Sonapi
    class DynamicResource
      extend Dry::Container::Mixin

      def self.serialize(models)
        models.map { |model| resolve(model.class).serialize_resource(model)  }
      end
    end
  end
end
